Package org.wso2.carbon.mediation.initializer

## Class ServiceBusInitializer

- java.lang.Object
- - org.wso2.carbon.mediation.initializer.ServiceBusInitializer

-     public class ServiceBusInitializer
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `ServiceBusInitializer.MPMShutdownHandler` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceBusInitializer()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `activate​(org.osgi.service.component.ComponentContext ctxt)` |
    `void` | `createSynapseDebugEnvironment​(org.apache.synapse.ServerContextInformation contextInfo)` | creates Synapse debug environment creates TCP channels using command and event ports which initializes the interface to outer debugger set the relevant information in the server configuration so that it can be used when Synapse environment initializes
    `protected void` | `deactivate​(org.osgi.service.component.ComponentContext ctxt)` |
    `static org.wso2.carbon.application.deployer.service.ApplicationManagerService` | `getAppManager()` |
    `static org.apache.synapse.ServerConfigurationInformation` | `getConfigurationInformation()` |
    `static org.wso2.carbon.mediation.dependency.mgt.services.ConfigurationTrackingService` | `getConfigurationTrackingService()` |
    `static org.wso2.carbon.event.core.EventBroker` | `getEventBroker()` |
    `protected static org.wso2.carbon.registry.core.service.RegistryService` | `getRegistryService()` |
    `protected static org.apache.synapse.ServerConfigurationInformation` | `getServerConfigurationInformation()` |
    `static boolean` | `isRunningDebugMode()` |
    `static boolean` | `isRunningSamplesMode()` |
    `protected void` | `setAppManager​(org.wso2.carbon.application.deployer.service.ApplicationManagerService appService)` |
    `protected void` | `setConfigTrackingService​(org.wso2.carbon.mediation.dependency.mgt.services.ConfigurationTrackingService configTrackingService)` |
    `protected void` | `setConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)` |
    `protected void` | `setEventBroker​(org.wso2.carbon.event.core.EventBroker eventBroker)` |
    `protected void` | `setInboundPersistenceService​(org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService inboundEndpoint)` |
    `protected void` | `setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)` |
    `protected void` | `setSecretCallbackHandlerService​(org.wso2.carbon.securevault.SecretCallbackHandlerService secretCallbackHandlerService)` |
    `protected void` | `setSynapseRegistryService​(org.wso2.carbon.mediation.registry.services.SynapseRegistryService synapseRegistryService)` |
    `protected void` | `setTaskDescriptionRepositoryService​(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)` |
    `protected void` | `setTaskSchedulerService​(org.wso2.carbon.task.services.TaskSchedulerService schedulerService)` |
    `protected void` | `setTaskService​(org.wso2.carbon.mediation.ntask.internal.NtaskService taskService)` |
    `protected void` | `unsetAppManager​(org.wso2.carbon.application.deployer.service.ApplicationManagerService appService)` |
    `protected void` | `unsetConfigTrackingService​(org.wso2.carbon.mediation.dependency.mgt.services.ConfigurationTrackingService configTrackingService)` |
    `protected void` | `unsetConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)` |
    `protected void` | `unSetEventBroker​(org.wso2.carbon.event.core.EventBroker eventBroker)` |
    `protected void` | `unsetInboundPersistenceService​(org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService inboundEndpoint)` |
    `protected void` | `unsetRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)` |
    `protected void` | `unsetSecretCallbackHandlerService​(org.wso2.carbon.securevault.SecretCallbackHandlerService secretCallbackHandlerService)` |
    `protected void` | `unsetSynapseRegistryService​(org.wso2.carbon.mediation.registry.services.SynapseRegistryService synapseRegistryService)` |
    `protected void` | `unsetTaskDescriptionRepositoryService​(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)` |
    `protected void` | `unsetTaskSchedulerService​(org.wso2.carbon.task.services.TaskSchedulerService schedulerService)` |
    `protected void` | `unsetTaskService​(org.wso2.carbon.mediation.ntask.internal.NtaskService ntaskService)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceBusInitializer

          public ServiceBusInitializer()

  - ### Method Detail

    - #### activate

          protected void activate​(org.osgi.service.component.ComponentContext ctxt)

    - #### deactivate

          protected void deactivate​(org.osgi.service.component.ComponentContext ctxt)

    - #### isRunningSamplesMode

          public static boolean isRunningSamplesMode()

    - #### isRunningDebugMode

          public static boolean isRunningDebugMode()

    - #### createSynapseDebugEnvironment

          public void createSynapseDebugEnvironment​(org.apache.synapse.ServerContextInformation contextInfo)

      creates Synapse debug environment creates TCP channels using command and event ports which initializes the interface to outer debugger set the relevant information in the server configuration so that it can be used when Synapse environment initializes
      Parameters:
        `contextInfo` - Server Context Information

    - #### setRegistryService

          protected void setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)

    - #### unsetRegistryService

          protected void unsetRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)

    - #### setConfigurationContextService

          protected void setConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)

    - #### unsetConfigurationContextService

          protected void unsetConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService configurationContextService)

    - #### setSynapseRegistryService

          protected void setSynapseRegistryService​(org.wso2.carbon.mediation.registry.services.SynapseRegistryService synapseRegistryService)

    - #### unsetSynapseRegistryService

          protected void unsetSynapseRegistryService​(org.wso2.carbon.mediation.registry.services.SynapseRegistryService synapseRegistryService)

    - #### setTaskDescriptionRepositoryService

          protected void setTaskDescriptionRepositoryService​(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)

    - #### unsetTaskDescriptionRepositoryService

          protected void unsetTaskDescriptionRepositoryService​(org.wso2.carbon.task.services.TaskDescriptionRepositoryService repositoryService)

    - #### setTaskSchedulerService

          protected void setTaskSchedulerService​(org.wso2.carbon.task.services.TaskSchedulerService schedulerService)

    - #### unsetTaskSchedulerService

          protected void unsetTaskSchedulerService​(org.wso2.carbon.task.services.TaskSchedulerService schedulerService)

    - #### setSecretCallbackHandlerService

          protected void setSecretCallbackHandlerService​(org.wso2.carbon.securevault.SecretCallbackHandlerService secretCallbackHandlerService)

    - #### unsetSecretCallbackHandlerService

          protected void unsetSecretCallbackHandlerService​(org.wso2.carbon.securevault.SecretCallbackHandlerService secretCallbackHandlerService)

    - #### setAppManager

          protected void setAppManager​(org.wso2.carbon.application.deployer.service.ApplicationManagerService appService)

    - #### unsetAppManager

          protected void unsetAppManager​(org.wso2.carbon.application.deployer.service.ApplicationManagerService appService)

    - #### setConfigTrackingService

          protected void setConfigTrackingService​(org.wso2.carbon.mediation.dependency.mgt.services.ConfigurationTrackingService configTrackingService)

    - #### unsetConfigTrackingService

          protected void unsetConfigTrackingService​(org.wso2.carbon.mediation.dependency.mgt.services.ConfigurationTrackingService configTrackingService)

    - #### setEventBroker

          protected void setEventBroker​(org.wso2.carbon.event.core.EventBroker eventBroker)

    - #### unSetEventBroker

          protected void unSetEventBroker​(org.wso2.carbon.event.core.EventBroker eventBroker)

    - #### setTaskService

          protected void setTaskService​(org.wso2.carbon.mediation.ntask.internal.NtaskService taskService)

    - #### unsetTaskService

          protected void unsetTaskService​(org.wso2.carbon.mediation.ntask.internal.NtaskService ntaskService)

    - #### getEventBroker

          public static org.wso2.carbon.event.core.EventBroker getEventBroker()

    - #### getConfigurationTrackingService

          public static org.wso2.carbon.mediation.dependency.mgt.services.ConfigurationTrackingService getConfigurationTrackingService()

    - #### getAppManager

          public static org.wso2.carbon.application.deployer.service.ApplicationManagerService getAppManager()

    - #### getConfigurationInformation

          public static org.apache.synapse.ServerConfigurationInformation getConfigurationInformation()

    - #### getRegistryService

          protected static org.wso2.carbon.registry.core.service.RegistryService getRegistryService()

    - #### getServerConfigurationInformation

          protected static org.apache.synapse.ServerConfigurationInformation getServerConfigurationInformation()

    - #### setInboundPersistenceService

          protected void setInboundPersistenceService​(org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService inboundEndpoint)

    - #### unsetInboundPersistenceService

          protected void unsetInboundPersistenceService​(org.wso2.carbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceService inboundEndpoint)